Retrieve captcha configuration

Retrieves the captcha configuration settings for a specific Tenant.

GET
/v2/manage/captcha

Retrieves the captcha configuration settings for a specific Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Response Body

application/json

application/json

curl -X GET "https://api.loginradius.com/v2/manage/captcha"
{
  "IsEnabled": true,
  "QQTencentCaptcha": {
    "PublicKey": "1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
    "PrivateKey": "1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
  },
  "GoogleRecaptchaV2": {
    "PublicKey": "1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
    "PrivateKey": "1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
  },
  "GoogleRecaptchaV3": {
    "PublicKey": "1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
    "PrivateKey": "1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
    "Threshold": 0.5
  },
  "HCaptcha": {
    "PublicKey": "1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
    "PrivateKey": "1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
    "Threshold": 0.5,
    "IsInvisibleCaptcha": true,
    "IsDarkTheme": false
  },
  "EnabledCaptcha": "string"
}
{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}